This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 213857

Summary: In tools, the submenu Libraries is renamed to ant libraries; this is confusing
Product: projects Reporter: homberghp
Component: Generic Projects UIAssignee: Tomas Zezula <tzezula>
Status: RESOLVED FIXED    
Severity: normal CC: dkonecny, jglick, mmirilovic, pjiricka, tzezula
Priority: P3 Keywords: RELNOTE, UI
Version: 7.2   
Hardware: PC   
OS: Linux   
Issue Type: DEFECT Exception Reporter:
Bug Depends on:    
Bug Blocks: 211763    

Description homberghp 2012-06-08 20:00:14 UTC
Product Version = NetBeans IDE Dev (Build 201206080001)
Operating System = Linux version 3.2.0-25-generic running on amd64
Java; VM; Vendor = 1.7.0_04
Runtime = Java HotSpot(TM) 64-Bit Server VM 23.0-b21
Comment 1 homberghp 2012-06-08 20:02:34 UTC
I was adding a library in this nightly build and for the first time saw that tools->libraries was renamed to tools->ant libraries. This confused me
and I do not understand the rationale. Will the be a maven libraries and a <insert you other builder tool> libraries menu item in the future too?
Comment 2 Jesse Glick 2012-06-11 16:11:48 UTC
(In reply to comment #1)
> This confused me

Sorry. Should perhaps be in release notes.

> I do not understand the rationale.

See bug #211763.

> Will the[re] be a [M]aven [L]ibraries

No, because there is no real equivalent for Maven projects - these have "dependencies" and "repositories", but the mechanism is very different from Ant libraries and has a separate UI.

> <insert you[r] other build[] tool> [L]ibraries menu item

Up to the creators of other build tools, but not that I know of.
Comment 3 David Konecny 2012-07-04 21:46:23 UTC
I suggested in issue 211763 to revert this change. See issue 211763 for more details.
Comment 4 Petr Jiricka 2013-06-05 08:06:08 UTC
This came up again in issue 224702, and in this NetCAT thread:
https://netbeans.org/projects/www/lists/netcat/archive/2013-06/message/20

Reopening so this is reconsidered.
Comment 5 Petr Somol 2013-06-05 08:57:22 UTC
I second the proposal to get back to Libraries. Although the original reasons for renaming to Ant Libraries have not ceased to exist, the wide spread confusion introduced by the change clearly dos not outweigh its gains.
Comment 6 Tomas Zezula 2013-06-05 13:11:16 UTC
Should I change the "Ant Libraries" back to "Libraries"?
Comment 7 Petr Jiricka 2013-06-06 14:23:36 UTC
IMO yes.
Comment 8 Tomas Zezula 2013-06-06 20:35:16 UTC
OK
Comment 9 Tomas Zezula 2013-06-07 08:38:42 UTC
Fixed jet-main 5896c73dd1ad
Comment 10 Quality Engineering 2013-06-10 02:20:05 UTC
Integrated into 'main-golden', will be available in build *201306100004* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/5896c73dd1ad
User: Tomas Zezula <tzezula@netbeans.org>
Log: #213857:In tools, the submenu Libraries is renamed to ant libraries; this is confusing